#version 430 core

layout (triangles) in;
layout (triangle_strip, max_vertices = 3) out;

// Input variables
in VertexData
{
	vec3 tex_coord;
	int layer;
} inData[3];

// Output variables
out VertexData
{
	vec3 tex_coord;
} outData;

//-----------------------------------------------------------------------

void main()
{
	// Task 4 (optional): Pass the data from vertex shader, and set gl_Layer
	for (int v = 0; v < 3; v++)
	{
		// Pass the gl_Position and inData/outData.tex_coord, their values are already computed in vertex shader
		gl_Position = gl_in[v].gl_Position;
		outData.tex_coord = inData[v].tex_coord;

		// Set gl_Layer
		gl_Layer = inData[v].layer;

		// Emit the vertex
		EmitVertex();
	}
}
